/*******************************************************************************
 * <copyright> Copyright 2014 by E-Government Innovation Center EGIZ, Graz, Austria </copyright>
 * PDF-AS has been contracted by the E-Government Innovation Center EGIZ, a
 * joint initiative of the Federal Chancellery Austria and Graz University of
 * Technology.
 * 
 * Licensed under the EUPL, Version 1.1 or - as soon they will be approved by
 * the European Commission - subsequent versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 * http://www.osor.eu/eupl/
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 * 
 * This product combines work with different licenses. See the "NOTICE" text
 * file for details on the various modules and licenses.
 * The "NOTICE" text file is part of the distribution. Any derivative works
 * that you distribute must include a readable copy of the "NOTICE" text file.
 ******************************************************************************/
package at.gv.egiz.pdfas.common.utils;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;

/**
 * Created with IntelliJ IDEA. User: afitzek Date: 8/29/13 Time: 9:54 AM To
 * change this template use File | Settings | File Templates.
 */
public class StreamUtils {

	public static byte[] inputStreamToByteArray(InputStream stream)
			throws IOException {
		ByteArrayOutputStream bos = new ByteArrayOutputStream();
		byte[] buffer = new byte[4096];
		int readBytes = 0;

		while ((readBytes = stream.read(buffer)) != -1) {
			bos.write(buffer, 0, readBytes);
		}
		stream.close();
		bos.close();
		return bos.toByteArray();
	}

	public static boolean dataCompare(byte[] a, byte[] b) {
		if (a != null && b != null) {
			if (a.length == b.length) {
				for(int i = 0; i < a.length; i++) {
					if(a[i] != b[i]) {
						return false;
					}
				}
				return true;
			}
		}
		return false;
	}
}
